package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Pbl;
import com.brilliance.isc.bo.PilotBch;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PilotBchMapper {
    /**
     * 从试点机构表获取指定机构
     */
    PilotBch selectPilotBch(@Param(value = "accBch") String bch);

    /**
     * 获取所有起效的试点机构
     */
    List<PilotBch> selectAllPilotBch();

    /**
     * 删除表内所有记录
     */
    int deleteAllPilotBch();

    int insert(PilotBch record);

    int insertSelective(PilotBch record);
}
